name: Bump Flake

on:
  workflow_dispatch:
  schedule:
    - cron: "0 3 1 * *" # At 3 on the first day of the month (Monday)

jobs:
  bump:
    runs-on: ubuntu-latest
    container: git.alexdelcamp.fr/alexandre_1a/flake-actions:latest

    steps:
      - name: Install nix
        uses: DeterminateSystems/nix-installer-action@main

      - name: Checkout
        uses: actions/checkout@v4

      - name: Bump Flake
        run: nix flake update

      - name: Build bumped flake (only one host)
        run: nix build .\#nixosConfigurations.FW16.config.system.build.toplevel

      - name: Check bumped flake
        run: nix flake check
